# Get information about a specific offer’s creative

| HTTP method | Endpoint                                 |
| ----------- | ---------------------------------------- |
| **GET**     | **/aff/v1/offers/{offer\_id}/creatives** |

## Path parameters <a href="#path-parameters-7" id="path-parameters-7"></a>

| Parameter | Description                  |
| --------- | ---------------------------- |
| offer\_id | The unique id for the offer. |

***Note: If you want to get the creative files of an offer, on the premise that the offer should have been audited (visible in the personal list).***

## Response body parameters <a href="#response-body-parameters-7" id="response-body-parameters-7"></a>

| Field     | Type    | Description                                   |
| --------- | ------- | --------------------------------------------- |
| id        | integer | The unique id for the creative.               |
| offer\_id | integer | A string that uniquely identifies this offer. |
| url       | string  | Creative file download link.                  |
| mime      | string  | Types of creative documents.                  |
| size      | integer | The size of the creative file.                |
| width     | integer | Width of creative file (image type).          |
| height    | integer | Height of creative file (image type).         |

## Example request <a href="#example-request-7" id="example-request-7"></a>

**Request GET** <https://{networkname}.api.offerslook.com/aff/v1/offers/16/creatives>

**Request GET** <http://{networkname}.api.offerslook.com/aff/v1/offers/16/creatives>

## Example response <a href="#example-response-7" id="example-response-7"></a>

```
    {
      "code": 0,
      "message": "Success",
      "data": {
        "offer_creative": [
          {
            "id": 16,
            "offer_id": 16,
            "url": "https://files.offerslook.com/offerslook-bucket/partner_40/creative/test_1462961793_573306812fe08.png",
            "mime": "image/png",
            "size": 1994,
            "width": 31,
            "height": 29
          },
          {
            "id": 28,
            "offer_id": 16,
            "url": "https://files.offerslook.com/offerslook-bucket/partner_40/creative/logo_1463037490_57342e32eeacc.png",
            "mime": "image/png",
            "size": 3901,
            "width": 196,
            "height": 26
          },
          {
            "id": 29,
            "offer_id": 16,
            "url": "https://files.offerslook.com/offerslook-bucket/partner_40/creative/about_1463037495_57342e37b6079.png",
            "mime": "image/png",
            "size": 116985,
            "width": 850,
            "height": 572
          },
          {
            "id": 30,
            "offer_id": 16,
            "url": "https://files.offerslook.com/offerslook-bucket/partner_40/creative/_1463037664_57342ee091afb.zip",
            "mime": "application/zip",
            "size": 102350,
            "width": null,
            "height": null
          }
        ]
      }
    }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://offerslook-api.gitbook.io/api-documentation/affiliate_api/offers/get_information_about_a_specific_offers_creative.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
